com.snowflake.client.core

## Class SessionUtil.LoginInput

- java.lang.Object
- - com.snowflake.client.core.SessionUtil.LoginInput

Enclosing class:
  SessionUtil

    public static class SessionUtil.LoginInput
    extends Object

A class for holding all information required for login

### Constructor Summary

Constructors
Constructor and Description
`LoginInput()`

`LoginInput(String serverUrl, String databaseName, String schemaName, String warehouse, String role, String authenticator, org.apache.http.client.HttpClient httpClient, String accountName, int loginTimeout, String userName, String password, Properties clientInfo, boolean passcodeInPassword, String passcode, int connectionTimeout, int socketTimeout, String appId, String appVersion, String appBuildId, String sessionToken, String masterToken, Map<String,Object> sessionParameters)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAccountName()`
`String` `getAppBuildId()`
`String` `getAppId()`
`String` `getAppVersion()`
`String` `getAuthenticator()`
`Properties` `getClientInfo()`
`int` `getConnectionTimeout()`
`String` `getDatabaseName()`
`org.apache.http.client.HttpClient` `getHttpClient()`
`int` `getLoginTimeout()`
`String` `getMasterToken()`
`String` `getPasscode()`
`String` `getPassword()`
`String` `getRole()`
`String` `getSchemaName()`
`String` `getServerUrl()`
`Map<String,Object>` `getSessionParameters()`
`String` `getSessionToken()`
`int` `getSocketTimeout()`
`String` `getUserName()`
`String` `getWarehouse()`
`boolean` `isPasscodeInPassword()`
`SessionUtil.LoginInput` `setAccountName(String accountName)`
`SessionUtil.LoginInput` `setAppBuildId(String appBuildId)`
`SessionUtil.LoginInput` `setAppId(String appId)`
`SessionUtil.LoginInput` `setAppVersion(String appVersion)`
`SessionUtil.LoginInput` `setAuthenticator(String authenticator)`
`SessionUtil.LoginInput` `setClientInfo(Properties clientInfo)`
`SessionUtil.LoginInput` `setConnectionTimeout(int connectionTimeout)`
`SessionUtil.LoginInput` `setDatabaseName(String databaseName)`
`SessionUtil.LoginInput` `setHttpClient(org.apache.http.client.HttpClient httpClient)`
`SessionUtil.LoginInput` `setLoginTimeout(int loginTimeout)`
`SessionUtil.LoginInput` `setMasterToken(String masterToken)`
`SessionUtil.LoginInput` `setPasscode(String passcode)`
`SessionUtil.LoginInput` `setPasscodeInPassword(boolean passcodeInPassword)`
`SessionUtil.LoginInput` `setPassword(String password)`
`SessionUtil.LoginInput` `setRole(String role)`
`SessionUtil.LoginInput` `setSchemaName(String schemaName)`
`SessionUtil.LoginInput` `setServerUrl(String serverUrl)`
`SessionUtil.LoginInput` `setSessionParameters(Map<String,Object> sessionParameters)`
`SessionUtil.LoginInput` `setSessionToken(String sessionToken)`
`SessionUtil.LoginInput` `setSocketTimeout(int socketTimeout)`
`SessionUtil.LoginInput` `setUserName(String userName)`
`SessionUtil.LoginInput` `setWarehouse(String warehouse)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LoginInput

    public LoginInput()

#### LoginInput

    public LoginInput(String serverUrl,
                      String databaseName,
                      String schemaName,
                      String warehouse,
                      String role,
                      String authenticator,
                      org.apache.http.client.HttpClient httpClient,
                      String accountName,
                      int loginTimeout,
                      String userName,
                      String password,
                      Properties clientInfo,
                      boolean passcodeInPassword,
                      String passcode,
                      int connectionTimeout,
                      int socketTimeout,
                      String appId,
                      String appVersion,
                      String appBuildId,
                      String sessionToken,
                      String masterToken,
                      Map<String,Object> sessionParameters)

### Method Detail

#### setServerUrl

    public SessionUtil.LoginInput setServerUrl(String serverUrl)

#### setDatabaseName

    public SessionUtil.LoginInput setDatabaseName(String databaseName)

#### setSchemaName

    public SessionUtil.LoginInput setSchemaName(String schemaName)

#### setWarehouse

    public SessionUtil.LoginInput setWarehouse(String warehouse)

#### setRole

    public SessionUtil.LoginInput setRole(String role)

#### setAuthenticator

    public SessionUtil.LoginInput setAuthenticator(String authenticator)

#### setHttpClient

    public SessionUtil.LoginInput setHttpClient(org.apache.http.client.HttpClient httpClient)

#### setAccountName

    public SessionUtil.LoginInput setAccountName(String accountName)

#### setLoginTimeout

    public SessionUtil.LoginInput setLoginTimeout(int loginTimeout)

#### setUserName

    public SessionUtil.LoginInput setUserName(String userName)

#### setPassword

    public SessionUtil.LoginInput setPassword(String password)

#### setClientInfo

    public SessionUtil.LoginInput setClientInfo(Properties clientInfo)

#### setPasscodeInPassword

    public SessionUtil.LoginInput setPasscodeInPassword(boolean passcodeInPassword)

#### setPasscode

    public SessionUtil.LoginInput setPasscode(String passcode)

#### setConnectionTimeout

    public SessionUtil.LoginInput setConnectionTimeout(int connectionTimeout)

#### setSocketTimeout

    public SessionUtil.LoginInput setSocketTimeout(int socketTimeout)

#### setAppId

    public SessionUtil.LoginInput setAppId(String appId)

#### setAppVersion

    public SessionUtil.LoginInput setAppVersion(String appVersion)

#### setAppBuildId

    public SessionUtil.LoginInput setAppBuildId(String appBuildId)

#### setSessionToken

    public SessionUtil.LoginInput setSessionToken(String sessionToken)

#### setMasterToken

    public SessionUtil.LoginInput setMasterToken(String masterToken)

#### setSessionParameters

    public SessionUtil.LoginInput setSessionParameters(Map<String,Object> sessionParameters)

#### getHttpClient

    public org.apache.http.client.HttpClient getHttpClient()

#### getServerUrl

    public String getServerUrl()

#### getDatabaseName

    public String getDatabaseName()

#### getSchemaName

    public String getSchemaName()

#### getWarehouse

    public String getWarehouse()

#### getRole

    public String getRole()

#### getAuthenticator

    public String getAuthenticator()

#### getAccountName

    public String getAccountName()

#### getLoginTimeout

    public int getLoginTimeout()

#### getUserName

    public String getUserName()

#### getPassword

    public String getPassword()

#### getClientInfo

    public Properties getClientInfo()

#### getPasscode

    public String getPasscode()

#### getConnectionTimeout

    public int getConnectionTimeout()

#### getSocketTimeout

    public int getSocketTimeout()

#### isPasscodeInPassword

    public boolean isPasscodeInPassword()

#### getAppId

    public String getAppId()

#### getAppVersion

    public String getAppVersion()

#### getAppBuildId

    public String getAppBuildId()

#### getSessionToken

    public String getSessionToken()

#### getMasterToken

    public String getMasterToken()

#### getSessionParameters

    public Map<String,Object> getSessionParameters()